

<%@ page import="example.AppConfigInfo" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'appConfigInfo.label', default: 'AppConfigInfo')}" />
        <title><g:message code="default.edit.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="default.edit.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${appConfigInfoInstance}">
            <div class="errors">
                <g:renderErrors bean="${appConfigInfoInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <g:hiddenField name="id" value="${appConfigInfoInstance.configName}" />
                <g:hiddenField name="value" value="${appConfigInfoInstance.propertyName}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="configName"><g:message code="appConfigInfo.configName.label" default="Config Name" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: appConfigInfoInstance, field: 'configName', 'errors')}">
                                    <g:textField name="configName" value="${appConfigInfoInstance?.configName}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="propertyName"><g:message code="appConfigInfo.propertyName.label" default="Property Name" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: appConfigInfoInstance, field: 'propertyName', 'errors')}">
                                    <g:textField name="propertyName" value="${appConfigInfoInstance?.propertyName}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="propertyValue"><g:message code="appConfigInfo.propertyValue.label" default="Property Value" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: appConfigInfoInstance, field: 'propertyValue', 'errors')}">
                                    <g:textField name="propertyValue" value="${appConfigInfoInstance?.propertyValue}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="description"><g:message code="appConfigInfo.description.label" default="Description" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: appConfigInfoInstance, field: 'description', 'errors')}">
                                    <g:textField name="description" maxlength="80" value="${appConfigInfoInstance?.description}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="updated"><g:message code="appConfigInfo.updated.label" default="Updated" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: appConfigInfoInstance, field: 'updated', 'errors')}">
                                    <g:datePicker name="updated" precision="day" value="${appConfigInfoInstance?.updated}"  />
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" action="update" value="${message(code: 'default.button.update.label', default: 'Update')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
