
<%@ page import="example.AppConfigInfo" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'appConfigInfo.label', default: 'AppConfigInfo')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="default.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                        
                            <g:sortableColumn property="id" title="${message(code: 'appConfigInfo.id.label', default: 'Id')}" />
                        
                            <g:sortableColumn property="configName" title="${message(code: 'appConfigInfo.configName.label', default: 'Config Name')}" />
                        
                            <g:sortableColumn property="propertyName" title="${message(code: 'appConfigInfo.propertyName.label', default: 'Property Name')}" />
                        
                            <g:sortableColumn property="propertyValue" title="${message(code: 'appConfigInfo.propertyValue.label', default: 'Property Value')}" />
                        
                            <g:sortableColumn property="description" title="${message(code: 'appConfigInfo.description.label', default: 'Description')}" />
                        
                            <g:sortableColumn property="updated" title="${message(code: 'appConfigInfo.updated.label', default: 'Updated')}" />
                        
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${appConfigInfoInstanceList}" status="i" var="appConfigInfoInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                        
                            <td><g:link action="show" params="${appConfigInfoInstance.getPK()}">Details</g:link></td>
                        
                            <td>${fieldValue(bean: appConfigInfoInstance, field: "configName")}</td>
                        
                            <td>${fieldValue(bean: appConfigInfoInstance, field: "propertyName")}</td>
                        
                            <td>${fieldValue(bean: appConfigInfoInstance, field: "propertyValue")}</td>
                        
                            <td>${fieldValue(bean: appConfigInfoInstance, field: "description")}</td>
                        
                            <td><g:formatDate date="${appConfigInfoInstance.updated}" /></td>
                        
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <g:paginate total="${appConfigInfoInstanceTotal}" />
            </div>
        </div>
    </body>
</html>
