
<%@ page import="example.AppConfigInfo" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'appConfigInfo.label', default: 'AppConfigInfo')}" />
        <title><g:message code="default.show.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="default.show.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="dialog">
                <table>
                    <tbody>
                    <!--  removing the read-only ID field -- not needed
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="appConfigInfo.id.label" default="Id" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: appConfigInfoInstance, field: "id")}</td>
                            
                        </tr>
                     -->
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="appConfigInfo.configName.label" default="Config Name" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: appConfigInfoInstance, field: "configName")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="appConfigInfo.propertyName.label" default="Property Name" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: appConfigInfoInstance, field: "propertyName")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="appConfigInfo.propertyValue.label" default="Property Value" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: appConfigInfoInstance, field: "propertyValue")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="appConfigInfo.description.label" default="Description" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: appConfigInfoInstance, field: "description")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="appConfigInfo.updated.label" default="Updated" /></td>
                            
                            <td valign="top" class="value"><g:formatDate date="${appConfigInfoInstance?.updated}" /></td>
                            
                        </tr>
                    
                    </tbody>
                </table>
            </div>
            <div class="buttons">
                <g:form>
	                <g:hiddenField name="id" value="${appConfigInfoInstance.configName}" />
	                <g:hiddenField name="value" value="${appConfigInfoInstance.propertyName}" />
                    <span class="button"><g:actionSubmit class="edit" action="edit" value="${message(code: 'default.button.edit.label', default: 'Edit')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </g:form>
            </div>
        </div>
    </body>
</html>
